<?php
/**
 * All settings related to preloader.
 *
 * @package BlogLex
 */
$wp_customize->add_section(
	'preloader_options',
	array(
		'title' => esc_html__( 'Preloader Options', 'bloglex' ),
		'panel' => 'general_options_panel',
	)
);

$wp_customize->add_setting(
    'bloglex_options[enable_preloader_options]',
    array(
        'default'           => $bloglex_default['enable_preloader_options'],
        'sanitize_callback' => 'bloglex_sanitize_checkbox',
    )
);
$wp_customize->add_control(
    'bloglex_options[enable_preloader_options]',
    array(
        'label'       => esc_html__( 'Enable Preloader Option', 'bloglex' ),
        'section'     => 'preloader_options',
        'type'        => 'checkbox',
    )
);

$wp_customize->add_setting(
    'bloglex_options[bloglex_preloader_style]',
    array(
        'default'           => $bloglex_default['bloglex_preloader_style'],
        'sanitize_callback' => 'bloglex_sanitize_select',
    )
);
$wp_customize->add_control(
    'bloglex_options[bloglex_preloader_style]',
    array(
        'label'         => esc_html__( 'Select Preloader Style', 'bloglex' ),
        'section'     => 'preloader_options',
        'type'        => 'select',
        'choices'       => bloglex_preloader_style_option(),

    )
);
